Help Center

About Internet Explorer and

If you log in to on an older version of Internet Explorer (IE9 or earlier), you will be directed to see

Not all features are compatible with older versions of Internet Explorer. In order to provide the most stable experience within the browser, we redirect users to

If you would like to use the standard version of Twitter from your browser, we recommend an upgrade.

Note: If you are using Internet Explorer 10 and are being redirected to, please try disabling Compatibility View in your browser settings.

Still need help? Contact Support.